## ros-indigo-pr2-props 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_props)
find_package(catkin REQUIRED COMPONENTS roscpp actionlib pr2_gripper_sensor_action pr2_gripper_sensor_controller pr2_gripper_sensor_msgs)

include_directories(include ${Boost_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
add_executable(high_five src/high_five.cpp)
add_dependencies(high_five pr2_gripper_sensor_msgs_gencpp)
target_link_libraries(high_five ${catkin_LIBRARIES})

add_executable(repeat_high_five src/repeat_high_five.cpp)
add_dependencies(repeat_high_five pr2_gripper_sensor_msgs_gencpp)
target_link_libraries(repeat_high_five ${catkin_LIBRARIES})

add_executable(pound src/pound.cpp)
add_dependencies(pound pr2_gripper_sensor_msgs_gencpp)
target_link_libraries(pound ${catkin_LIBRARIES})

add_executable(low_five src/low_five.cpp)
add_dependencies(low_five pr2_gripper_sensor_msgs_gencpp)
target_link_libraries(low_five ${catkin_LIBRARIES})

add_executable(hug src/hug.cpp)
add_dependencies(hug pr2_gripper_sensor_msgs_gencpp)
target_link_libraries(hug ${catkin_LIBRARIES})
catkin_package(
    DEPENDS roscpp actionlib pr2_gripper_sensor_action pr2_gripper_sensor_controller pr2_gripper_sensor_msgs
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS scripts/run_all_props.sh DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-props (1.0.4-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Fri, 04 Dec 2015 19:25:35 -0000

ros-indigo-pr2-props (1.0.3-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-pr2-props (1.0.2-1trusty) trusty; urgency=high

  * Removed stackification -> Hydro catkinization
  * Contributors: TheDash

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 16 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-props
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-pr2-gripper-sensor-action, ros-indigo-pr2-gripper-sensor-controller, ros-indigo-pr2-gripper-sensor-msgs, ros-indigo-roscpp
Homepage: http://ros.org/wiki/pr2_props
Standards-Version: 3.9.2

Package: ros-indigo-pr2-props
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-pr2-gripper-sensor-action, ros-indigo-pr2-gripper-sensor-controller, ros-indigo-pr2-gripper-sensor-msgs, ros-indigo-roscpp
Description: pr2_props is a package designed to be the first step towards replacing your real (or imaginary) friends with a robot. Robot gives you mad props yo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-props//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
